<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Nano102_112 Series BSP: StdDriver/src/lcd.c Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Nano102_112 Series BSP
   &#160;<span id="projectnumber">V3.03.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for  Nano102_112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">lcd.c</div>  </div>
</div><!--header-->
<div class="contents">
<a href="lcd_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/**************************************************************************/</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;stdio.h&gt;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;string.h&gt;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &lt;stdlib.h&gt;</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">//#include &lt;stdbool.h&gt;</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_nano1_x2_series_8h.html">Nano1X2Series.h</a>&quot;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="lcd_8h.html">lcd.h</a>&quot;</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="comment">/* Global file scope (static) variables                                                                    */</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keywordtype">double</span> g_LCDFreq;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">static</span> uint32_t g_LCDFrameRate; <span class="comment">/* src:32768Hz, COM:4, FREQ Div:64, frame-rate 64Hz  */</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="comment">/* src:10240Hz, COM:4, FREQ Div:32, frame-rate 40Hz  */</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160; <span class="comment">/* end of group NANO1X2_LCD_EXPORTED_VARIABLES */</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38931e2f60a5bca8527b78604644e67a">   62</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38931e2f60a5bca8527b78604644e67a">LCD_SetPixel</a>(uint32_t u32Com, uint32_t u32Seg, uint32_t u32OnFlag)</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;{</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    int32_t memnum = u32Seg / 4;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    int32_t seg_shift = 8*(u32Seg-(4*memnum));</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <span class="keywordflow">if</span>(u32OnFlag)</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    {</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        <span class="keywordflow">if</span>(memnum==0)</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        {</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;            <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_0 |= (1&lt;&lt;u32Com)&lt;&lt;seg_shift;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        }</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==1)</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        {</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;            <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_1 |= (1&lt;&lt;u32Com)&lt;&lt;seg_shift;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        }</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==2)</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        {</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;            <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_2 |= (1&lt;&lt;u32Com)&lt;&lt;seg_shift;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        }</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==3)</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;        {</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;            <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_3 |= (1&lt;&lt;u32Com)&lt;&lt;seg_shift;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;        }</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==4)</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        {</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;            <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_4 |= (1&lt;&lt;u32Com)&lt;&lt;seg_shift;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        }</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==5)</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;        {</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;            <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_5 |= (1&lt;&lt;u32Com)&lt;&lt;seg_shift;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;        }</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==6)</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;        {</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;            <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_6 |= (1&lt;&lt;u32Com)&lt;&lt;seg_shift;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;        }</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==7)</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;        {</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;            <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_7 |= (1&lt;&lt;u32Com)&lt;&lt;seg_shift;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;        }</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==8)</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;        {</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;            <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_8 |= (1&lt;&lt;u32Com)&lt;&lt;seg_shift;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        }</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    }</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    <span class="keywordflow">else</span></div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    {</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;        <span class="keywordflow">if</span>(memnum==0)</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;        {</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;            <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_0 &amp;= ~((1&lt;&lt;u32Com)&lt;&lt;seg_shift);</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;        }</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==1)</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;        {</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;            <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_1 &amp;= ~((1&lt;&lt;u32Com)&lt;&lt;seg_shift);</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;        }</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==2)</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;        {</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;            <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_2 &amp;= ~((1&lt;&lt;u32Com)&lt;&lt;seg_shift);</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;        }</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==3)</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;        {</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;            <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_3 &amp;= ~((1&lt;&lt;u32Com)&lt;&lt;seg_shift);</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;        }</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==4)</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;        {</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;            <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_4 &amp;= ~((1&lt;&lt;u32Com)&lt;&lt;seg_shift);</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;        }</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==5)</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;        {</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;            <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_5 &amp;= ~((1&lt;&lt;u32Com)&lt;&lt;seg_shift);</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;        }</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==6)</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;        {</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;            <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_6 &amp;= ~((1&lt;&lt;u32Com)&lt;&lt;seg_shift);</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;        }</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==7)</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;        {</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;            <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_7 &amp;= ~((1&lt;&lt;u32Com)&lt;&lt;seg_shift);</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;        }</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(memnum==8)</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;        {</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;            <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_8 &amp;= ~((1&lt;&lt;u32Com)&lt;&lt;seg_shift);</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;        }</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    }</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;    <span class="keywordflow">if</span>(<a class="code" href="system___nano1_x2_series_8h.html#a63bedf89ae7fbb102b8653aca20d3a14">CyclesPerUs</a> &gt; 0)</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;        SysTick-&gt;LOAD = 300 * <a class="code" href="system___nano1_x2_series_8h.html#a63bedf89ae7fbb102b8653aca20d3a14">CyclesPerUs</a>;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;    <span class="keywordflow">else</span></div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;        SysTick-&gt;LOAD = 15;</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    SysTick-&gt;VAL  =  (0x00);</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;    SysTick-&gt;CTRL = SysTick_CTRL_CLKSOURCE_Msk | SysTick_CTRL_ENABLE_Msk;</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;    <span class="comment">/* Waiting for down-count to zero */</span></div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;    <span class="keywordflow">while</span>((SysTick-&gt;CTRL &amp; SysTick_CTRL_COUNTFLAG_Msk) == 0);</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;}</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;</div><div class="line"><a name="l00166"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4cf38e762042748bb3948fea1031da19">  166</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4cf38e762042748bb3948fea1031da19">LCD_SetAllPixels</a>(uint32_t u32OnOff)</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;{</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;    uint32_t u32SetValue;</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;    <span class="keywordflow">if</span>(u32OnOff)</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;    {</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;        u32SetValue = 0xFFFFFFFF;</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;    }</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;    <span class="keywordflow">else</span></div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;    {</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;        u32SetValue = 0x00000000;</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;    }</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_0 = u32SetValue;</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_1 = u32SetValue;</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_2 = u32SetValue;</div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_3 = u32SetValue;</div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_4 = u32SetValue;</div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_5 = u32SetValue;</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_6 = u32SetValue;</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_7 = u32SetValue;</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;MEM_8 = u32SetValue;</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;    <span class="keywordflow">if</span>(<a class="code" href="system___nano1_x2_series_8h.html#a63bedf89ae7fbb102b8653aca20d3a14">CyclesPerUs</a> &gt; 0)</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;        SysTick-&gt;LOAD = 300 * <a class="code" href="system___nano1_x2_series_8h.html#a63bedf89ae7fbb102b8653aca20d3a14">CyclesPerUs</a>;</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;    <span class="keywordflow">else</span></div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;        SysTick-&gt;LOAD = 15;</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;    SysTick-&gt;VAL  =  (0x00);</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;    SysTick-&gt;CTRL = SysTick_CTRL_CLKSOURCE_Msk | SysTick_CTRL_ENABLE_Msk;</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;    <span class="comment">/* Waiting for down-count to zero */</span></div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;    <span class="keywordflow">while</span>((SysTick-&gt;CTRL &amp; SysTick_CTRL_COUNTFLAG_Msk) == 0);</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;}</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;</div><div class="line"><a name="l00210"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaecd530f9642d69ebd329530c33b1c002">  210</a></span>&#160;uint32_t <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaecd530f9642d69ebd329530c33b1c002">LCD_EnableFrameCounter</a>(uint32_t u32Count)</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;{</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;    uint32_t div = 1;   <span class="comment">// default prediv == LCD_FCPRESC_DIV1</span></div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR = 0x00;</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCSTS |= <a class="code" href="_nano1_x2_series_8h.html#a3a76998841371d1d95455dad50a4606d">LCD_FCSTS_FCSTS_Msk</a>;  <span class="comment">// clear fcsts flag</span></div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;</div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;    <span class="keywordflow">if</span>(u32Count == 0) <span class="keywordflow">return</span> 0;</div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;</div><div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;    <span class="keywordflow">if</span>(u32Count &gt; 0x3F)   <span class="comment">// top value max. 63 = 0x3F</span></div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;    {</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;        div = u32Count/64;</div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;        <span class="keywordflow">if</span>(div &gt; 3)</div><div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;        {</div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;            div = 8;</div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;            <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR = <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR &amp; ~<a class="code" href="_nano1_x2_series_8h.html#a593372ec89b3ff18cf71feb55db391c0">LCD_FCR_PRESCL_Msk</a> | <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga95786b8fb90f9dc8620ce9dad82696d5">LCD_FCPRESC_DIV8</a>;</div><div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;        }</div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(div &gt; 1)</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;        {</div><div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;            div = 4;</div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;            <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR = <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR &amp; ~<a class="code" href="_nano1_x2_series_8h.html#a593372ec89b3ff18cf71feb55db391c0">LCD_FCR_PRESCL_Msk</a> | <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae16ed6ea2a8493a6af3326cd6378d9ba">LCD_FCPRESC_DIV4</a>;</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;        }</div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;        <span class="keywordflow">else</span></div><div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;        {</div><div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;            div = 2;</div><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;            <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR = <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR &amp; ~<a class="code" href="_nano1_x2_series_8h.html#a593372ec89b3ff18cf71feb55db391c0">LCD_FCR_PRESCL_Msk</a> | <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga450b33c61bd083333f856a63b4c4a403">LCD_FCPRESC_DIV2</a>;</div><div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;        }</div><div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;</div><div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;        u32Count = (u32Count+(div/2))/div;</div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;    }</div><div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;    <span class="keywordflow">else</span></div><div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;    {</div><div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;        div = 1;</div><div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;        <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR = <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR &amp; ~<a class="code" href="_nano1_x2_series_8h.html#a593372ec89b3ff18cf71feb55db391c0">LCD_FCR_PRESCL_Msk</a> | <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf413939d0a576f18224d7beb89ae6880">LCD_FCPRESC_DIV1</a>;</div><div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;    }</div><div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;</div><div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR = <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR &amp; ~<a class="code" href="_nano1_x2_series_8h.html#a9d78b17ae9c597138988464b7c29cabc">LCD_FCR_FCV_Msk</a> | (u32Count &lt;&lt; <a class="code" href="_nano1_x2_series_8h.html#a03db6fa728c7c06fc0f8f6cb49184598">LCD_FCR_FCV_Pos</a>);</div><div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;</div><div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;    u32Count = u32Count*div;</div><div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;</div><div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR |= <a class="code" href="_nano1_x2_series_8h.html#ab48964832552b160932f9c07e4ca2812">LCD_FCR_FCEN_Msk</a>;       <span class="comment">// enable LCD frame count</span></div><div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;</div><div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;    <span class="keywordflow">return</span> u32Count;</div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;}</div><div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;</div><div class="line"><a name="l00264"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac9d571af631f230b2d093b70426bbd7c">  264</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac9d571af631f230b2d093b70426bbd7c">LCD_DisableFrameCounter</a>(<span class="keywordtype">void</span>)</div><div class="line"><a name="l00265"></a><span class="lineno">  265</span>&#160;{</div><div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR = 0x00;        <span class="comment">// disable LCD frame count</span></div><div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;</div><div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;    <span class="keywordflow">if</span>( <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCSTS &amp; <a class="code" href="_nano1_x2_series_8h.html#a3a76998841371d1d95455dad50a4606d">LCD_FCSTS_FCSTS_Msk</a>)   <span class="comment">// clear status flag</span></div><div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;        <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCSTS = <a class="code" href="_nano1_x2_series_8h.html#a3a76998841371d1d95455dad50a4606d">LCD_FCSTS_FCSTS_Msk</a>;</div><div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;}</div><div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160;</div><div class="line"><a name="l00272"></a><span class="lineno">  272</span>&#160;</div><div class="line"><a name="l00287"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga63cc493ec700a988c2382c3b09a09157">  287</a></span>&#160;uint32_t <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga63cc493ec700a988c2382c3b09a09157">LCD_Open</a>(uint32_t u32DrivingType, uint32_t u32ComNum, uint32_t u32BiasLevel, uint32_t u32FramerateDiv, uint32_t u32DrivingVol)</div><div class="line"><a name="l00288"></a><span class="lineno">  288</span>&#160;{</div><div class="line"><a name="l00289"></a><span class="lineno">  289</span>&#160;    uint32_t clkdiv, muldiv;</div><div class="line"><a name="l00290"></a><span class="lineno">  290</span>&#160;    uint32_t lcd_freq_div[] = {32, 64, 96, 128, 192, 256, 384, 512};</div><div class="line"><a name="l00291"></a><span class="lineno">  291</span>&#160;    uint32_t multiplex_freq_div[] = {2, 4, 6, 8, 10, 12};</div><div class="line"><a name="l00292"></a><span class="lineno">  292</span>&#160;    uint32_t u32clk_src;</div><div class="line"><a name="l00293"></a><span class="lineno">  293</span>&#160;</div><div class="line"><a name="l00294"></a><span class="lineno">  294</span>&#160;    <span class="comment">/* IP reset */</span></div><div class="line"><a name="l00295"></a><span class="lineno">  295</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IPRST_CTL2 |= <a class="code" href="_nano1_x2_series_8h.html#ae874ddfb227d2fd66a6db727f693db56">SYS_IPRST_CTL2_LCD_RST_Msk</a>;</div><div class="line"><a name="l00296"></a><span class="lineno">  296</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IPRST_CTL2 &amp;= ~<a class="code" href="_nano1_x2_series_8h.html#ae874ddfb227d2fd66a6db727f693db56">SYS_IPRST_CTL2_LCD_RST_Msk</a>;</div><div class="line"><a name="l00297"></a><span class="lineno">  297</span>&#160;</div><div class="line"><a name="l00298"></a><span class="lineno">  298</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc02b6e8ef1f3ab301853f4f8155e030">LCD_DisableDisplay</a>();</div><div class="line"><a name="l00299"></a><span class="lineno">  299</span>&#160;</div><div class="line"><a name="l00300"></a><span class="lineno">  300</span>&#160;    <span class="comment">/* Turn all segments off */</span></div><div class="line"><a name="l00301"></a><span class="lineno">  301</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4cf38e762042748bb3948fea1031da19">LCD_SetAllPixels</a>(0);</div><div class="line"><a name="l00302"></a><span class="lineno">  302</span>&#160;</div><div class="line"><a name="l00303"></a><span class="lineno">  303</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL &amp;= ~<a class="code" href="_nano1_x2_series_8h.html#a4899a173aa80db74a866ffff35ad4d0a">LCD_DISPCTL_Ext_C_Msk</a>;</div><div class="line"><a name="l00304"></a><span class="lineno">  304</span>&#160;</div><div class="line"><a name="l00305"></a><span class="lineno">  305</span>&#160;    <span class="keywordflow">switch</span>(u32DrivingType)</div><div class="line"><a name="l00306"></a><span class="lineno">  306</span>&#160;    {</div><div class="line"><a name="l00307"></a><span class="lineno">  307</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca722f6b687c5d15031a0b3f1291f9cf04">LCD_C_TYPE</a>:</div><div class="line"><a name="l00308"></a><span class="lineno">  308</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca1ae579017fce26afb60099d81a4d2abd">LCD_EXTERNAL_C_TYPE</a>:</div><div class="line"><a name="l00309"></a><span class="lineno">  309</span>&#160;</div><div class="line"><a name="l00310"></a><span class="lineno">  310</span>&#160;        <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL &amp;= ~<a class="code" href="_nano1_x2_series_8h.html#ae9c70622ec99f28b3fc22ea007b505be">LCD_DISPCTL_BV_SEL_Msk</a>;        <span class="comment">// internal source for charge pump</span></div><div class="line"><a name="l00311"></a><span class="lineno">  311</span>&#160;        <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL = <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL &amp; ~<a class="code" href="_nano1_x2_series_8h.html#a5cc104d58530ee464658d7955ea09876">LCD_DISPCTL_CPUMP_FREQ_Msk</a> | (<a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga638c0385890bf8b54cc591a9fbf1feac">LCD_CPUMP_DIV1</a>);</div><div class="line"><a name="l00312"></a><span class="lineno">  312</span>&#160;        <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL = <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL &amp; ~<a class="code" href="_nano1_x2_series_8h.html#a7951f3749bfa5c32789c5975f88f172f">LCD_DISPCTL_CPUMP_VOL_SET_Msk</a> | (u32DrivingVol);</div><div class="line"><a name="l00313"></a><span class="lineno">  313</span>&#160;        <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL &amp;= ~<a class="code" href="_nano1_x2_series_8h.html#a1d887e95236695400de25967e7bf778b">LCD_DISPCTL_IBRL_EN_Msk</a>;</div><div class="line"><a name="l00314"></a><span class="lineno">  314</span>&#160;        <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL |= <a class="code" href="_nano1_x2_series_8h.html#a236ef1e8c526c18dfcce28213e4b09aa">LCD_DISPCTL_CPUMP_EN_Msk</a>;       <span class="comment">// enable charge pump</span></div><div class="line"><a name="l00315"></a><span class="lineno">  315</span>&#160;</div><div class="line"><a name="l00316"></a><span class="lineno">  316</span>&#160;        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00317"></a><span class="lineno">  317</span>&#160;</div><div class="line"><a name="l00318"></a><span class="lineno">  318</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdcad2fdb0d69edeb2b2691226f09e3b3633">LCD_EXTERNAL_R_TYPE</a>:</div><div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca4d80acf10b407e4e00a5e9c0237277f9">LCD_INTERNAL_R_TYPE</a>:</div><div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160;</div><div class="line"><a name="l00321"></a><span class="lineno">  321</span>&#160;        <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL &amp;= ~<a class="code" href="_nano1_x2_series_8h.html#a236ef1e8c526c18dfcce28213e4b09aa">LCD_DISPCTL_CPUMP_EN_Msk</a>;</div><div class="line"><a name="l00322"></a><span class="lineno">  322</span>&#160;        <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL |= <a class="code" href="_nano1_x2_series_8h.html#ae9c70622ec99f28b3fc22ea007b505be">LCD_DISPCTL_BV_SEL_Msk</a>;</div><div class="line"><a name="l00323"></a><span class="lineno">  323</span>&#160;        <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL &amp;= ~<a class="code" href="_nano1_x2_series_8h.html#a1d887e95236695400de25967e7bf778b">LCD_DISPCTL_IBRL_EN_Msk</a>;</div><div class="line"><a name="l00324"></a><span class="lineno">  324</span>&#160;        <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL |= (u32DrivingType == <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca4d80acf10b407e4e00a5e9c0237277f9">LCD_INTERNAL_R_TYPE</a>)?<a class="code" href="_nano1_x2_series_8h.html#a1d887e95236695400de25967e7bf778b">LCD_DISPCTL_IBRL_EN_Msk</a>:0;</div><div class="line"><a name="l00325"></a><span class="lineno">  325</span>&#160;        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00326"></a><span class="lineno">  326</span>&#160;</div><div class="line"><a name="l00327"></a><span class="lineno">  327</span>&#160;    };</div><div class="line"><a name="l00328"></a><span class="lineno">  328</span>&#160;</div><div class="line"><a name="l00329"></a><span class="lineno">  329</span>&#160;    <span class="keywordflow">if</span>(u32DrivingType == <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca1ae579017fce26afb60099d81a4d2abd">LCD_EXTERNAL_C_TYPE</a>)</div><div class="line"><a name="l00330"></a><span class="lineno">  330</span>&#160;        <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL |= <a class="code" href="_nano1_x2_series_8h.html#a4899a173aa80db74a866ffff35ad4d0a">LCD_DISPCTL_Ext_C_Msk</a>;</div><div class="line"><a name="l00331"></a><span class="lineno">  331</span>&#160;</div><div class="line"><a name="l00332"></a><span class="lineno">  332</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL &amp;= ~<a class="code" href="_nano1_x2_series_8h.html#ad0112de0108914efd36d4fc4a7dc3ee0">LCD_CTL_FREQ_Msk</a>;</div><div class="line"><a name="l00333"></a><span class="lineno">  333</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL |= u32FramerateDiv;</div><div class="line"><a name="l00334"></a><span class="lineno">  334</span>&#160;</div><div class="line"><a name="l00335"></a><span class="lineno">  335</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL = (<a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL &amp; ~<a class="code" href="_nano1_x2_series_8h.html#a5618a2906a10c4fd0f85153edcc3725b">LCD_CTL_MUX_Msk</a>) | ((u32ComNum - 1) &lt;&lt; <a class="code" href="_nano1_x2_series_8h.html#ab8d95e55086e11537f8370bed58449c2">LCD_CTL_MUX_Pos</a>);</div><div class="line"><a name="l00336"></a><span class="lineno">  336</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL = <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;DISPCTL &amp; ~<a class="code" href="_nano1_x2_series_8h.html#a664584aa9d37f04d58974555e8c4f5a4">LCD_DISPCTL_BIAS_SEL_Msk</a> | u32BiasLevel;</div><div class="line"><a name="l00337"></a><span class="lineno">  337</span>&#160;</div><div class="line"><a name="l00338"></a><span class="lineno">  338</span>&#160;    <span class="keywordflow">if</span>((<a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKSEL1 &amp; <a class="code" href="_nano1_x2_series_8h.html#a950fa29e708bc9aef4053fc8ff525259">CLK_CLKSEL1_LCD_S_Msk</a>) == 0)</div><div class="line"><a name="l00339"></a><span class="lineno">  339</span>&#160;        u32clk_src = 32 * 1024;</div><div class="line"><a name="l00340"></a><span class="lineno">  340</span>&#160;    <span class="keywordflow">else</span></div><div class="line"><a name="l00341"></a><span class="lineno">  341</span>&#160;        u32clk_src = 10 * 1024;</div><div class="line"><a name="l00342"></a><span class="lineno">  342</span>&#160;</div><div class="line"><a name="l00343"></a><span class="lineno">  343</span>&#160;    clkdiv = (<a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL &amp; <a class="code" href="_nano1_x2_series_8h.html#ad0112de0108914efd36d4fc4a7dc3ee0">LCD_CTL_FREQ_Msk</a>) &gt;&gt; <a class="code" href="_nano1_x2_series_8h.html#a0bd408fea8c053199cf0adb0a70c6cd8">LCD_CTL_FREQ_Pos</a>;</div><div class="line"><a name="l00344"></a><span class="lineno">  344</span>&#160;    muldiv = (<a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL &amp; <a class="code" href="_nano1_x2_series_8h.html#a5618a2906a10c4fd0f85153edcc3725b">LCD_CTL_MUX_Msk</a>) &gt;&gt; <a class="code" href="_nano1_x2_series_8h.html#ab8d95e55086e11537f8370bed58449c2">LCD_CTL_MUX_Pos</a>;</div><div class="line"><a name="l00345"></a><span class="lineno">  345</span>&#160;</div><div class="line"><a name="l00346"></a><span class="lineno">  346</span>&#160;    g_LCDFreq = (double)u32clk_src / lcd_freq_div[clkdiv];</div><div class="line"><a name="l00347"></a><span class="lineno">  347</span>&#160;    g_LCDFrameRate = (uint32_t)g_LCDFreq / multiplex_freq_div[muldiv];</div><div class="line"><a name="l00348"></a><span class="lineno">  348</span>&#160;</div><div class="line"><a name="l00349"></a><span class="lineno">  349</span>&#160;    <span class="keywordflow">return</span> g_LCDFrameRate;</div><div class="line"><a name="l00350"></a><span class="lineno">  350</span>&#160;}</div><div class="line"><a name="l00351"></a><span class="lineno">  351</span>&#160;</div><div class="line"><a name="l00352"></a><span class="lineno">  352</span>&#160;</div><div class="line"><a name="l00353"></a><span class="lineno">  353</span>&#160;</div><div class="line"><a name="l00362"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab2b1b24fe536b594eff3fbc4acfd7dc8">  362</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab2b1b24fe536b594eff3fbc4acfd7dc8">LCD_Close</a>(<span class="keywordtype">void</span>)</div><div class="line"><a name="l00363"></a><span class="lineno">  363</span>&#160;{</div><div class="line"><a name="l00364"></a><span class="lineno">  364</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc02b6e8ef1f3ab301853f4f8155e030">LCD_DisableDisplay</a>();</div><div class="line"><a name="l00365"></a><span class="lineno">  365</span>&#160;}</div><div class="line"><a name="l00366"></a><span class="lineno">  366</span>&#160;</div><div class="line"><a name="l00367"></a><span class="lineno">  367</span>&#160;</div><div class="line"><a name="l00376"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaac399c45e3931c6dcbaa95c79a766a6a">  376</a></span>&#160;uint32_t <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaac399c45e3931c6dcbaa95c79a766a6a">LCD_EnableBlink</a>(uint32_t u32ms)</div><div class="line"><a name="l00377"></a><span class="lineno">  377</span>&#160;{</div><div class="line"><a name="l00378"></a><span class="lineno">  378</span>&#160;    uint32_t prescale=<a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf413939d0a576f18224d7beb89ae6880">LCD_FCPRESC_DIV1</a>, div=1;</div><div class="line"><a name="l00379"></a><span class="lineno">  379</span>&#160;    uint32_t framecount;</div><div class="line"><a name="l00380"></a><span class="lineno">  380</span>&#160;</div><div class="line"><a name="l00381"></a><span class="lineno">  381</span>&#160;    <span class="keywordflow">if</span>((1000/u32ms) &gt; g_LCDFrameRate) u32ms = (1000/g_LCDFrameRate);</div><div class="line"><a name="l00382"></a><span class="lineno">  382</span>&#160;</div><div class="line"><a name="l00383"></a><span class="lineno">  383</span>&#160;    framecount = (uint32_t) (u32ms / (1000/g_LCDFrameRate)) ;</div><div class="line"><a name="l00384"></a><span class="lineno">  384</span>&#160;</div><div class="line"><a name="l00385"></a><span class="lineno">  385</span>&#160;    <span class="keywordflow">if</span>(framecount &gt; 0x3F)</div><div class="line"><a name="l00386"></a><span class="lineno">  386</span>&#160;    {</div><div class="line"><a name="l00387"></a><span class="lineno">  387</span>&#160;        <span class="keywordflow">for</span>(div=2; div&lt;=8; div*=2)</div><div class="line"><a name="l00388"></a><span class="lineno">  388</span>&#160;        {</div><div class="line"><a name="l00389"></a><span class="lineno">  389</span>&#160;            framecount = (uint32_t) (u32ms / (1000/(g_LCDFrameRate/div)) );</div><div class="line"><a name="l00390"></a><span class="lineno">  390</span>&#160;</div><div class="line"><a name="l00391"></a><span class="lineno">  391</span>&#160;            <span class="keywordflow">if</span>( framecount &lt;= 0x40 )</div><div class="line"><a name="l00392"></a><span class="lineno">  392</span>&#160;                <span class="keywordflow">break</span>;</div><div class="line"><a name="l00393"></a><span class="lineno">  393</span>&#160;        }</div><div class="line"><a name="l00394"></a><span class="lineno">  394</span>&#160;        <span class="keywordflow">if</span>(div==2) prescale = <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga450b33c61bd083333f856a63b4c4a403">LCD_FCPRESC_DIV2</a>;</div><div class="line"><a name="l00395"></a><span class="lineno">  395</span>&#160;        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(div==4) prescale = <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae16ed6ea2a8493a6af3326cd6378d9ba">LCD_FCPRESC_DIV4</a>;</div><div class="line"><a name="l00396"></a><span class="lineno">  396</span>&#160;        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(div==8) prescale = <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga95786b8fb90f9dc8620ce9dad82696d5">LCD_FCPRESC_DIV8</a>;</div><div class="line"><a name="l00397"></a><span class="lineno">  397</span>&#160;        <span class="keywordflow">else</span> <span class="keywordflow">return</span> 0;</div><div class="line"><a name="l00398"></a><span class="lineno">  398</span>&#160;    }</div><div class="line"><a name="l00399"></a><span class="lineno">  399</span>&#160;    <span class="keywordflow">else</span> <span class="keywordflow">if</span>(framecount == 0)</div><div class="line"><a name="l00400"></a><span class="lineno">  400</span>&#160;    {</div><div class="line"><a name="l00401"></a><span class="lineno">  401</span>&#160;        framecount = 1;</div><div class="line"><a name="l00402"></a><span class="lineno">  402</span>&#160;    }</div><div class="line"><a name="l00403"></a><span class="lineno">  403</span>&#160;</div><div class="line"><a name="l00404"></a><span class="lineno">  404</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR = <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR &amp; ~<a class="code" href="_nano1_x2_series_8h.html#a593372ec89b3ff18cf71feb55db391c0">LCD_FCR_PRESCL_Msk</a> | prescale;</div><div class="line"><a name="l00405"></a><span class="lineno">  405</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR = <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR &amp; ~<a class="code" href="_nano1_x2_series_8h.html#a9d78b17ae9c597138988464b7c29cabc">LCD_FCR_FCV_Msk</a> | ((framecount - 1) &lt;&lt; <a class="code" href="_nano1_x2_series_8h.html#a03db6fa728c7c06fc0f8f6cb49184598">LCD_FCR_FCV_Pos</a>);</div><div class="line"><a name="l00406"></a><span class="lineno">  406</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR |= <a class="code" href="_nano1_x2_series_8h.html#ab48964832552b160932f9c07e4ca2812">LCD_FCR_FCEN_Msk</a>;</div><div class="line"><a name="l00407"></a><span class="lineno">  407</span>&#160;</div><div class="line"><a name="l00408"></a><span class="lineno">  408</span>&#160;    <span class="comment">/* Enable Blink LCD */</span></div><div class="line"><a name="l00409"></a><span class="lineno">  409</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL |= <a class="code" href="_nano1_x2_series_8h.html#a91228448f1a7d9b4219248cdbf2e1b1d">LCD_CTL_BLINK_Msk</a>;</div><div class="line"><a name="l00410"></a><span class="lineno">  410</span>&#160;</div><div class="line"><a name="l00411"></a><span class="lineno">  411</span>&#160;    <span class="keywordflow">return</span> ( (framecount*1000)/(g_LCDFrameRate/div) );</div><div class="line"><a name="l00412"></a><span class="lineno">  412</span>&#160;}</div><div class="line"><a name="l00413"></a><span class="lineno">  413</span>&#160;</div><div class="line"><a name="l00414"></a><span class="lineno">  414</span>&#160;</div><div class="line"><a name="l00423"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae97874077bfb3a021c61690b21004f69">  423</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae97874077bfb3a021c61690b21004f69">LCD_DisableBlink</a>(<span class="keywordtype">void</span>)</div><div class="line"><a name="l00424"></a><span class="lineno">  424</span>&#160;{</div><div class="line"><a name="l00425"></a><span class="lineno">  425</span>&#160;    <span class="comment">/* Disable Blink LCD */</span></div><div class="line"><a name="l00426"></a><span class="lineno">  426</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL &amp;= ~<a class="code" href="_nano1_x2_series_8h.html#a91228448f1a7d9b4219248cdbf2e1b1d">LCD_CTL_BLINK_Msk</a>;</div><div class="line"><a name="l00427"></a><span class="lineno">  427</span>&#160;</div><div class="line"><a name="l00428"></a><span class="lineno">  428</span>&#160;    <span class="comment">/* Disable frame count */</span></div><div class="line"><a name="l00429"></a><span class="lineno">  429</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR = 0x00;        <span class="comment">// disable LCD frame count</span></div><div class="line"><a name="l00430"></a><span class="lineno">  430</span>&#160;</div><div class="line"><a name="l00431"></a><span class="lineno">  431</span>&#160;    <span class="keywordflow">if</span>( <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCSTS &amp; <a class="code" href="_nano1_x2_series_8h.html#a3a76998841371d1d95455dad50a4606d">LCD_FCSTS_FCSTS_Msk</a>)   <span class="comment">// clear status flag</span></div><div class="line"><a name="l00432"></a><span class="lineno">  432</span>&#160;        <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCSTS = <a class="code" href="_nano1_x2_series_8h.html#a3a76998841371d1d95455dad50a4606d">LCD_FCSTS_FCSTS_Msk</a>;</div><div class="line"><a name="l00433"></a><span class="lineno">  433</span>&#160;</div><div class="line"><a name="l00434"></a><span class="lineno">  434</span>&#160;}</div><div class="line"><a name="l00435"></a><span class="lineno">  435</span>&#160;</div><div class="line"><a name="l00444"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga92f309aa07814f033fa583e1e74e68bf">  444</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga92f309aa07814f033fa583e1e74e68bf">LCD_EnableInt</a>(uint32_t IntSrc)</div><div class="line"><a name="l00445"></a><span class="lineno">  445</span>&#160;{</div><div class="line"><a name="l00446"></a><span class="lineno">  446</span>&#160;    <span class="keywordflow">if</span>((IntSrc &amp; <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafb1b7d1f3668cd0c515038ed44381f9f">LCD_FRAMECOUNT_INT</a>) == <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafb1b7d1f3668cd0c515038ed44381f9f">LCD_FRAMECOUNT_INT</a> )</div><div class="line"><a name="l00447"></a><span class="lineno">  447</span>&#160;    {</div><div class="line"><a name="l00448"></a><span class="lineno">  448</span>&#160;        <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR |= <a class="code" href="_nano1_x2_series_8h.html#ab48964832552b160932f9c07e4ca2812">LCD_FCR_FCEN_Msk</a>;</div><div class="line"><a name="l00449"></a><span class="lineno">  449</span>&#160;    }</div><div class="line"><a name="l00450"></a><span class="lineno">  450</span>&#160;</div><div class="line"><a name="l00451"></a><span class="lineno">  451</span>&#160;    <span class="keywordflow">if</span>((IntSrc &amp; <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6ed13e03b1b855b88fd4348c60f2c08d">LCD_POWERDOWN_INT</a>) == <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6ed13e03b1b855b88fd4348c60f2c08d">LCD_POWERDOWN_INT</a> )</div><div class="line"><a name="l00452"></a><span class="lineno">  452</span>&#160;    {</div><div class="line"><a name="l00453"></a><span class="lineno">  453</span>&#160;        <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL |= <a class="code" href="_nano1_x2_series_8h.html#a541daf27e9b6fca993e6f65e4f71b35c">LCD_CTL_PDINT_EN_Msk</a>;</div><div class="line"><a name="l00454"></a><span class="lineno">  454</span>&#160;    }</div><div class="line"><a name="l00455"></a><span class="lineno">  455</span>&#160;</div><div class="line"><a name="l00456"></a><span class="lineno">  456</span>&#160;}</div><div class="line"><a name="l00457"></a><span class="lineno">  457</span>&#160;</div><div class="line"><a name="l00466"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab38a1d741553128199a9c4b3c0015bcf">  466</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab38a1d741553128199a9c4b3c0015bcf">LCD_DisableInt</a>(uint32_t IntSrc)</div><div class="line"><a name="l00467"></a><span class="lineno">  467</span>&#160;{</div><div class="line"><a name="l00468"></a><span class="lineno">  468</span>&#160;    <span class="keywordflow">if</span>((IntSrc &amp; <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafb1b7d1f3668cd0c515038ed44381f9f">LCD_FRAMECOUNT_INT</a>) == <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafb1b7d1f3668cd0c515038ed44381f9f">LCD_FRAMECOUNT_INT</a> )</div><div class="line"><a name="l00469"></a><span class="lineno">  469</span>&#160;    {</div><div class="line"><a name="l00470"></a><span class="lineno">  470</span>&#160;        <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCR &amp;= ~<a class="code" href="_nano1_x2_series_8h.html#ab48964832552b160932f9c07e4ca2812">LCD_FCR_FCEN_Msk</a>;</div><div class="line"><a name="l00471"></a><span class="lineno">  471</span>&#160;        <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCSTS = <a class="code" href="_nano1_x2_series_8h.html#a3a76998841371d1d95455dad50a4606d">LCD_FCSTS_FCSTS_Msk</a>;</div><div class="line"><a name="l00472"></a><span class="lineno">  472</span>&#160;    }</div><div class="line"><a name="l00473"></a><span class="lineno">  473</span>&#160;</div><div class="line"><a name="l00474"></a><span class="lineno">  474</span>&#160;    <span class="keywordflow">if</span>((IntSrc &amp; <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6ed13e03b1b855b88fd4348c60f2c08d">LCD_POWERDOWN_INT</a>) == <a class="code" href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6ed13e03b1b855b88fd4348c60f2c08d">LCD_POWERDOWN_INT</a> )</div><div class="line"><a name="l00475"></a><span class="lineno">  475</span>&#160;    {</div><div class="line"><a name="l00476"></a><span class="lineno">  476</span>&#160;        <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL &amp;= ~<a class="code" href="_nano1_x2_series_8h.html#a541daf27e9b6fca993e6f65e4f71b35c">LCD_CTL_PDINT_EN_Msk</a>;</div><div class="line"><a name="l00477"></a><span class="lineno">  477</span>&#160;        <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCSTS = <a class="code" href="_nano1_x2_series_8h.html#ae47ad2508f964333516a4fa15d298245">LCD_FCSTS_PDSTS_Msk</a>;</div><div class="line"><a name="l00478"></a><span class="lineno">  478</span>&#160;    }</div><div class="line"><a name="l00479"></a><span class="lineno">  479</span>&#160;}</div><div class="line"><a name="l00480"></a><span class="lineno">  480</span>&#160; <span class="comment">/* end of group NANO1X2_LCD_EXPORTED_FUNCTIONS */</span></div><div class="line"><a name="l00482"></a><span class="lineno">  482</span>&#160; <span class="comment">/* end of group NANO1X2_LCD_Driver */</span></div><div class="line"><a name="l00484"></a><span class="lineno">  484</span>&#160; <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div><div class="line"><a name="l00486"></a><span class="lineno">  486</span>&#160;</div><div class="line"><a name="l00487"></a><span class="lineno">  487</span>&#160;<span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div><div class="line"><a name="l00488"></a><span class="lineno">  488</span>&#160;</div><div class="ttc" id="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s_html_gga4aade76e2254b1c2858759860b9c8fdca4d80acf10b407e4e00a5e9c0237277f9"><div class="ttname"><a href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca4d80acf10b407e4e00a5e9c0237277f9">LCD_INTERNAL_R_TYPE</a></div><div class="ttdef"><b>Definition:</b> <a href="lcd_8h_source.html#l00100">lcd.h:100</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_a664584aa9d37f04d58974555e8c4f5a4"><div class="ttname"><a href="_nano1_x2_series_8h.html#a664584aa9d37f04d58974555e8c4f5a4">LCD_DISPCTL_BIAS_SEL_Msk</a></div><div class="ttdeci">#define LCD_DISPCTL_BIAS_SEL_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l05578">Nano1X2Series.h:5578</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_a3a76998841371d1d95455dad50a4606d"><div class="ttname"><a href="_nano1_x2_series_8h.html#a3a76998841371d1d95455dad50a4606d">LCD_FCSTS_FCSTS_Msk</a></div><div class="ttdeci">#define LCD_FCSTS_FCSTS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l05719">Nano1X2Series.h:5719</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_a950fa29e708bc9aef4053fc8ff525259"><div class="ttname"><a href="_nano1_x2_series_8h.html#a950fa29e708bc9aef4053fc8ff525259">CLK_CLKSEL1_LCD_S_Msk</a></div><div class="ttdeci">#define CLK_CLKSEL1_LCD_S_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l01589">Nano1X2Series.h:1589</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_ae47ad2508f964333516a4fa15d298245"><div class="ttname"><a href="_nano1_x2_series_8h.html#ae47ad2508f964333516a4fa15d298245">LCD_FCSTS_PDSTS_Msk</a></div><div class="ttdeci">#define LCD_FCSTS_PDSTS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l05722">Nano1X2Series.h:5722</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_a4899a173aa80db74a866ffff35ad4d0a"><div class="ttname"><a href="_nano1_x2_series_8h.html#a4899a173aa80db74a866ffff35ad4d0a">LCD_DISPCTL_Ext_C_Msk</a></div><div class="ttdeci">#define LCD_DISPCTL_Ext_C_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l05593">Nano1X2Series.h:5593</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gafc02b6e8ef1f3ab301853f4f8155e030"><div class="ttname"><a href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc02b6e8ef1f3ab301853f4f8155e030">LCD_DisableDisplay</a></div><div class="ttdeci">static __INLINE void LCD_DisableDisplay(void)</div><div class="ttdoc">Disable LCD controller.</div><div class="ttdef"><b>Definition:</b> <a href="lcd_8h_source.html#l00198">lcd.h:198</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_ga4b355291fe6b8ba8e167ab0faa862e45"><div class="ttname"><a href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a></div><div class="ttdeci">#define CLK</div><div class="ttdoc">Pointer to CLK register structure.</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l10651">Nano1X2Series.h:10651</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_a03db6fa728c7c06fc0f8f6cb49184598"><div class="ttname"><a href="_nano1_x2_series_8h.html#a03db6fa728c7c06fc0f8f6cb49184598">LCD_FCR_FCV_Pos</a></div><div class="ttdeci">#define LCD_FCR_FCV_Pos</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l05715">Nano1X2Series.h:5715</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_ab48964832552b160932f9c07e4ca2812"><div class="ttname"><a href="_nano1_x2_series_8h.html#ab48964832552b160932f9c07e4ca2812">LCD_FCR_FCEN_Msk</a></div><div class="ttdeci">#define LCD_FCR_FCEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l05707">Nano1X2Series.h:5707</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaac399c45e3931c6dcbaa95c79a766a6a"><div class="ttname"><a href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaac399c45e3931c6dcbaa95c79a766a6a">LCD_EnableBlink</a></div><div class="ttdeci">uint32_t LCD_EnableBlink(uint32_t u32ms)</div><div class="ttdoc">Enable Blink function in LCD controller.</div><div class="ttdef"><b>Definition:</b> <a href="lcd_8c_source.html#l00376">lcd.c:376</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga6ed13e03b1b855b88fd4348c60f2c08d"><div class="ttname"><a href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6ed13e03b1b855b88fd4348c60f2c08d">LCD_POWERDOWN_INT</a></div><div class="ttdeci">#define LCD_POWERDOWN_INT</div><div class="ttdef"><b>Definition:</b> <a href="lcd_8h_source.html#l00088">lcd.h:88</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_ae874ddfb227d2fd66a6db727f693db56"><div class="ttname"><a href="_nano1_x2_series_8h.html#ae874ddfb227d2fd66a6db727f693db56">SYS_IPRST_CTL2_LCD_RST_Msk</a></div><div class="ttdeci">#define SYS_IPRST_CTL2_LCD_RST_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l03690">Nano1X2Series.h:3690</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s_html_gga4aade76e2254b1c2858759860b9c8fdcad2fdb0d69edeb2b2691226f09e3b3633"><div class="ttname"><a href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdcad2fdb0d69edeb2b2691226f09e3b3633">LCD_EXTERNAL_R_TYPE</a></div><div class="ttdef"><b>Definition:</b> <a href="lcd_8h_source.html#l00099">lcd.h:99</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_a7951f3749bfa5c32789c5975f88f172f"><div class="ttname"><a href="_nano1_x2_series_8h.html#a7951f3749bfa5c32789c5975f88f172f">LCD_DISPCTL_CPUMP_VOL_SET_Msk</a></div><div class="ttdeci">#define LCD_DISPCTL_CPUMP_VOL_SET_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l05587">Nano1X2Series.h:5587</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gab38a1d741553128199a9c4b3c0015bcf"><div class="ttname"><a href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab38a1d741553128199a9c4b3c0015bcf">LCD_DisableInt</a></div><div class="ttdeci">void LCD_DisableInt(uint32_t IntSrc)</div><div class="ttdoc">This function is used to disable LCD specified interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="lcd_8c_source.html#l00466">lcd.c:466</a></div></div>
<div class="ttc" id="system___nano1_x2_series_8h_html_a63bedf89ae7fbb102b8653aca20d3a14"><div class="ttname"><a href="system___nano1_x2_series_8h.html#a63bedf89ae7fbb102b8653aca20d3a14">CyclesPerUs</a></div><div class="ttdeci">uint32_t CyclesPerUs</div><div class="ttdef"><b>Definition:</b> <a href="system___nano1_x2_series_8c_source.html#l00021">system_Nano1X2Series.c:21</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_a541daf27e9b6fca993e6f65e4f71b35c"><div class="ttname"><a href="_nano1_x2_series_8h.html#a541daf27e9b6fca993e6f65e4f71b35c">LCD_CTL_PDINT_EN_Msk</a></div><div class="ttdeci">#define LCD_CTL_PDINT_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l05572">Nano1X2Series.h:5572</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_ab8d95e55086e11537f8370bed58449c2"><div class="ttname"><a href="_nano1_x2_series_8h.html#ab8d95e55086e11537f8370bed58449c2">LCD_CTL_MUX_Pos</a></div><div class="ttdeci">#define LCD_CTL_MUX_Pos</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l05559">Nano1X2Series.h:5559</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gae97874077bfb3a021c61690b21004f69"><div class="ttname"><a href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae97874077bfb3a021c61690b21004f69">LCD_DisableBlink</a></div><div class="ttdeci">void LCD_DisableBlink(void)</div><div class="ttdoc">Disable Blink function in LCD controller.</div><div class="ttdef"><b>Definition:</b> <a href="lcd_8c_source.html#l00423">lcd.c:423</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html"><div class="ttname"><a href="_nano1_x2_series_8h.html">Nano1X2Series.h</a></div><div class="ttdoc">Nano102/112 peripheral access layer header file. This file contains all the peripheral register's def...</div></div>
<div class="ttc" id="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s_html_gga4aade76e2254b1c2858759860b9c8fdca722f6b687c5d15031a0b3f1291f9cf04"><div class="ttname"><a href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca722f6b687c5d15031a0b3f1291f9cf04">LCD_C_TYPE</a></div><div class="ttdef"><b>Definition:</b> <a href="lcd_8h_source.html#l00098">lcd.h:98</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gafb1b7d1f3668cd0c515038ed44381f9f"><div class="ttname"><a href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafb1b7d1f3668cd0c515038ed44381f9f">LCD_FRAMECOUNT_INT</a></div><div class="ttdeci">#define LCD_FRAMECOUNT_INT</div><div class="ttdef"><b>Definition:</b> <a href="lcd_8h_source.html#l00087">lcd.h:87</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaecd530f9642d69ebd329530c33b1c002"><div class="ttname"><a href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaecd530f9642d69ebd329530c33b1c002">LCD_EnableFrameCounter</a></div><div class="ttdeci">uint32_t LCD_EnableFrameCounter(uint32_t u32Count)</div><div class="ttdoc">Set Frame Count and Enable frame count.</div><div class="ttdef"><b>Definition:</b> <a href="lcd_8c_source.html#l00210">lcd.c:210</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga638c0385890bf8b54cc591a9fbf1feac"><div class="ttname"><a href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga638c0385890bf8b54cc591a9fbf1feac">LCD_CPUMP_DIV1</a></div><div class="ttdeci">#define LCD_CPUMP_DIV1</div><div class="ttdef"><b>Definition:</b> <a href="lcd_8h_source.html#l00064">lcd.h:64</a></div></div>
<div class="ttc" id="lcd_8h_html"><div class="ttname"><a href="lcd_8h.html">lcd.h</a></div><div class="ttdoc">Nano102/112 series LCD driver header file.</div></div>
<div class="ttc" id="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga38931e2f60a5bca8527b78604644e67a"><div class="ttname"><a href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38931e2f60a5bca8527b78604644e67a">LCD_SetPixel</a></div><div class="ttdeci">void LCD_SetPixel(uint32_t u32Com, uint32_t u32Seg, uint32_t u32OnFlag)</div><div class="ttdoc">Enables a segment on the LCD display.</div><div class="ttdef"><b>Definition:</b> <a href="lcd_8c_source.html#l00062">lcd.c:62</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_gabf2d80992dcfabfd1668184c3dff2733"><div class="ttname"><a href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a></div><div class="ttdeci">#define LCD</div><div class="ttdoc">Pointer to LCD register structure.</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l10644">Nano1X2Series.h:10644</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_a9d78b17ae9c597138988464b7c29cabc"><div class="ttname"><a href="_nano1_x2_series_8h.html#a9d78b17ae9c597138988464b7c29cabc">LCD_FCR_FCV_Msk</a></div><div class="ttdeci">#define LCD_FCR_FCV_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l05716">Nano1X2Series.h:5716</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga63cc493ec700a988c2382c3b09a09157"><div class="ttname"><a href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga63cc493ec700a988c2382c3b09a09157">LCD_Open</a></div><div class="ttdeci">uint32_t LCD_Open(uint32_t u32DrivingType, uint32_t u32ComNum, uint32_t u32BiasLevel, uint32_t u32FramerateDiv, uint32_t u32DrivingVol)</div><div class="ttdoc">LCD Initialization routine.</div><div class="ttdef"><b>Definition:</b> <a href="lcd_8c_source.html#l00287">lcd.c:287</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga95786b8fb90f9dc8620ce9dad82696d5"><div class="ttname"><a href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga95786b8fb90f9dc8620ce9dad82696d5">LCD_FCPRESC_DIV8</a></div><div class="ttdeci">#define LCD_FCPRESC_DIV8</div><div class="ttdef"><b>Definition:</b> <a href="lcd_8h_source.html#l00085">lcd.h:85</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gaf413939d0a576f18224d7beb89ae6880"><div class="ttname"><a href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf413939d0a576f18224d7beb89ae6880">LCD_FCPRESC_DIV1</a></div><div class="ttdeci">#define LCD_FCPRESC_DIV1</div><div class="ttdef"><b>Definition:</b> <a href="lcd_8h_source.html#l00082">lcd.h:82</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_a0bd408fea8c053199cf0adb0a70c6cd8"><div class="ttname"><a href="_nano1_x2_series_8h.html#a0bd408fea8c053199cf0adb0a70c6cd8">LCD_CTL_FREQ_Pos</a></div><div class="ttdeci">#define LCD_CTL_FREQ_Pos</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l05562">Nano1X2Series.h:5562</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_ad0112de0108914efd36d4fc4a7dc3ee0"><div class="ttname"><a href="_nano1_x2_series_8h.html#ad0112de0108914efd36d4fc4a7dc3ee0">LCD_CTL_FREQ_Msk</a></div><div class="ttdeci">#define LCD_CTL_FREQ_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l05563">Nano1X2Series.h:5563</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gac9d571af631f230b2d093b70426bbd7c"><div class="ttname"><a href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac9d571af631f230b2d093b70426bbd7c">LCD_DisableFrameCounter</a></div><div class="ttdeci">void LCD_DisableFrameCounter(void)</div><div class="ttdoc">Disable frame count function.</div><div class="ttdef"><b>Definition:</b> <a href="lcd_8c_source.html#l00264">lcd.c:264</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_ae9c70622ec99f28b3fc22ea007b505be"><div class="ttname"><a href="_nano1_x2_series_8h.html#ae9c70622ec99f28b3fc22ea007b505be">LCD_DISPCTL_BV_SEL_Msk</a></div><div class="ttdeci">#define LCD_DISPCTL_BV_SEL_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l05584">Nano1X2Series.h:5584</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_a5618a2906a10c4fd0f85153edcc3725b"><div class="ttname"><a href="_nano1_x2_series_8h.html#a5618a2906a10c4fd0f85153edcc3725b">LCD_CTL_MUX_Msk</a></div><div class="ttdeci">#define LCD_CTL_MUX_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l05560">Nano1X2Series.h:5560</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_a1d887e95236695400de25967e7bf778b"><div class="ttname"><a href="_nano1_x2_series_8h.html#a1d887e95236695400de25967e7bf778b">LCD_DISPCTL_IBRL_EN_Msk</a></div><div class="ttdeci">#define LCD_DISPCTL_IBRL_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l05581">Nano1X2Series.h:5581</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga450b33c61bd083333f856a63b4c4a403"><div class="ttname"><a href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga450b33c61bd083333f856a63b4c4a403">LCD_FCPRESC_DIV2</a></div><div class="ttdeci">#define LCD_FCPRESC_DIV2</div><div class="ttdef"><b>Definition:</b> <a href="lcd_8h_source.html#l00083">lcd.h:83</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_a5cc104d58530ee464658d7955ea09876"><div class="ttname"><a href="_nano1_x2_series_8h.html#a5cc104d58530ee464658d7955ea09876">LCD_DISPCTL_CPUMP_FREQ_Msk</a></div><div class="ttdeci">#define LCD_DISPCTL_CPUMP_FREQ_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l05590">Nano1X2Series.h:5590</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_a236ef1e8c526c18dfcce28213e4b09aa"><div class="ttname"><a href="_nano1_x2_series_8h.html#a236ef1e8c526c18dfcce28213e4b09aa">LCD_DISPCTL_CPUMP_EN_Msk</a></div><div class="ttdeci">#define LCD_DISPCTL_CPUMP_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l05575">Nano1X2Series.h:5575</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_a593372ec89b3ff18cf71feb55db391c0"><div class="ttname"><a href="_nano1_x2_series_8h.html#a593372ec89b3ff18cf71feb55db391c0">LCD_FCR_PRESCL_Msk</a></div><div class="ttdeci">#define LCD_FCR_PRESCL_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l05713">Nano1X2Series.h:5713</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gab2b1b24fe536b594eff3fbc4acfd7dc8"><div class="ttname"><a href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab2b1b24fe536b594eff3fbc4acfd7dc8">LCD_Close</a></div><div class="ttdeci">void LCD_Close(void)</div><div class="ttdoc">The function is used to disable LCD controller.</div><div class="ttdef"><b>Definition:</b> <a href="lcd_8c_source.html#l00362">lcd.c:362</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gae16ed6ea2a8493a6af3326cd6378d9ba"><div class="ttname"><a href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae16ed6ea2a8493a6af3326cd6378d9ba">LCD_FCPRESC_DIV4</a></div><div class="ttdeci">#define LCD_FCPRESC_DIV4</div><div class="ttdef"><b>Definition:</b> <a href="lcd_8h_source.html#l00084">lcd.h:84</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_a91228448f1a7d9b4219248cdbf2e1b1d"><div class="ttname"><a href="_nano1_x2_series_8h.html#a91228448f1a7d9b4219248cdbf2e1b1d">LCD_CTL_BLINK_Msk</a></div><div class="ttdeci">#define LCD_CTL_BLINK_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l05566">Nano1X2Series.h:5566</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_gae3d9f52a1a315303ad04f0576bd42a25"><div class="ttname"><a href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a></div><div class="ttdeci">#define SYS</div><div class="ttdoc">Pointer to SYS register structure.</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l10650">Nano1X2Series.h:10650</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga92f309aa07814f033fa583e1e74e68bf"><div class="ttname"><a href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga92f309aa07814f033fa583e1e74e68bf">LCD_EnableInt</a></div><div class="ttdeci">void LCD_EnableInt(uint32_t IntSrc)</div><div class="ttdoc">This function is used to enable LCD interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="lcd_8c_source.html#l00444">lcd.c:444</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s_html_gga4aade76e2254b1c2858759860b9c8fdca1ae579017fce26afb60099d81a4d2abd"><div class="ttname"><a href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca1ae579017fce26afb60099d81a4d2abd">LCD_EXTERNAL_C_TYPE</a></div><div class="ttdef"><b>Definition:</b> <a href="lcd_8h_source.html#l00101">lcd.h:101</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga4cf38e762042748bb3948fea1031da19"><div class="ttname"><a href="group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4cf38e762042748bb3948fea1031da19">LCD_SetAllPixels</a></div><div class="ttdeci">void LCD_SetAllPixels(uint32_t u32OnOff)</div><div class="ttdoc">LCD Enable/Disable all segments.</div><div class="ttdef"><b>Definition:</b> <a href="lcd_8c_source.html#l00166">lcd.c:166</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Oct 6 2020 19:17:53 for Nano102_112 Series BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
